# Uses of Class
org.eclipse.jdt.core.refactoring.participants.ChangeMethodSignatureArguments.ThrownException

Packages that use ChangeMethodSignatureArguments.ThrownException
Package
Description
org.eclipse.jdt.core.refactoring.participants
Application programming interface to access refactoring participants provided by JDT.

## Uses of ChangeMethodSignatureArguments.ThrownException in org.eclipse.jdt.core.refactoring.participants

Methods in org.eclipse.jdt.core.refactoring.participants that return ChangeMethodSignatureArguments.ThrownException
Modifier and Type
Method
Description
`ChangeMethodSignatureArguments.ThrownException[]`
ChangeMethodSignatureArguments.`getThrownExceptions()`
Returns the new thrown exceptions of this method.
Constructors in org.eclipse.jdt.core.refactoring.participants with parameters of type ChangeMethodSignatureArguments.ThrownException
Modifier
Constructor
Description
``
`ChangeMethodSignatureArguments(String newName, String newReturnType, int newVisibility, ChangeMethodSignatureArguments.Parameter[] newParameters, ChangeMethodSignatureArguments.ThrownException[] thrownExceptions, boolean keepOriginal)`
Creates new change method signature arguments.